import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ShoppingVendorWhereInputObjectSchema as ShoppingVendorWhereInputObjectSchema } from './ShoppingVendorWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => ShoppingVendorWhereInputObjectSchema).optional()
}).strict();
export const UserCountOutputTypeCountShoppingVendorsArgsObjectSchema = makeSchema();
export const UserCountOutputTypeCountShoppingVendorsArgsObjectZodSchema = makeSchema();
